Bug 446663 - NetworkManager can't establish GPRS/3G connection
NetworkManager can't establish GPRS/3G connection
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 11:56 EDT by Dawid Lorenz
Modified: 2008-11-05 02:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 17:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Lorenz 2008-05-15 11:56:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
I have Huawei E270 USB GPRS/3G modem, which is recognised as typical usbserial interface through ttyUSB0. NetworkManager actually detects it properly (as Huawei E620, tough), but after configuring manually the connection with T-Mobile UK it doesn't connect at all. It does, however, pass PIN-code to the SIM card correctly, as I can see by modem's light that it get logged to the 3G network.

When I configure device and connection manually through system-config-network tool and then do ifup ppp0 - 3G connection works straight away.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Plug the USB modem into the port
2. Manually monfigure new 3G connection in NetworkManager
3. Connect

Actual Results:
PIN is passed to the modem, but internet connection doesn't work. Here's the output from System Log (plugging modem to USB port and trying connection):

May 15 15:11:46 localhost kernel: usb 3-2: new full speed USB device using uhci_hcd and address 3
May 15 15:11:46 localhost kernel: usb 3-2: configuration #1 chosen from 1 choice
May 15 15:11:46 localhost kernel: usb-storage: probe of 3-2:1.0 failed with error -5
May 15 15:11:46 localhost kernel: usb-storage: probe of 3-2:1.1 failed with error -5
May 15 15:11:46 localhost kernel: usb-storage: probe of 3-2:1.2 failed with error -5
May 15 15:11:46 localhost kernel: usb 3-2: New USB device found, idVendor=12d1, idProduct=1001
May 15 15:11:46 localhost kernel: usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 15 15:11:46 localhost kernel: usb 3-2: Product: HUAWEI Mobile
May 15 15:11:46 localhost kernel: usb 3-2: Manufacturer: HUAWEI Technologies
May 15 15:11:46 localhost kernel: usbcore: registered new interface driver usbserial
May 15 15:11:46 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial support registered for generic
May 15 15:11:46 localhost kernel: usbcore: registered new interface driver usbserial_generic
May 15 15:11:46 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial Driver core
May 15 15:11:46 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial support registered for GSM modem (1-port)
May 15 15:11:46 localhost kernel: option 3-2:1.0: GSM modem (1-port) converter detected
May 15 15:11:46 localhost kernel: usb 3-2: GSM modem (1-port) converter now attached to ttyUSB0
May 15 15:11:46 localhost kernel: option 3-2:1.1: GSM modem (1-port) converter detected
May 15 15:11:46 localhost kernel: usb 3-2: GSM modem (1-port) converter now attached to ttyUSB1
May 15 15:11:46 localhost kernel: option 3-2:1.2: GSM modem (1-port) converter detected
May 15 15:11:46 localhost kernel: usb 3-2: GSM modem (1-port) converter now attached to ttyUSB2
May 15 15:11:46 localhost kernel: usbcore: registered new interface driver option
May 15 15:11:46 localhost kernel: drivers/usb/serial/option.c: USB Driver for GSM modems: v0.7.1
May 15 15:11:46 localhost NetworkManager: <info>  ttyUSB0: Device is fully-supported using driver 'option'.
May 15 15:11:46 localhost NetworkManager: <info>  Found new Modem device 'ttyUSB0'.
May 15 15:11:46 localhost NetworkManager: <info>  (ttyUSB0): exported as /org/freedesktop/Hal/devices/usb_device_12d1_1001_noserial_if0_serial_usb_0
May 15 15:11:50 localhost NetworkManager: <info>  (ttyUSB0): device state change: 1 -> 2
May 15 15:11:50 localhost NetworkManager: <info>  (ttyUSB0): deactivating device.
May 15 15:11:50 localhost NetworkManager: <info>  (ttyUSB0): device state change: 2 -> 3
May 15 15:13:21 localhost NetworkManager: <info>  Activation (ttyUSB0) starting connection 'T-Mobile UK'
May 15 15:13:21 localhost NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
May 15 15:13:21 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
May 15 15:13:21 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
May 15 15:13:21 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
May 15 15:13:21 localhost NetworkManager: <info>  (ttyUSB0): GSM pin secret required
May 15 15:13:21 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 6
May 15 15:13:24 localhost NetworkManager: <WARN>  verify(): Missing phone number
May 15 15:13:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
May 15 15:13:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
May 15 15:13:24 localhost NetworkManager: <info>  (ttyUSB0): device state change: 6 -> 4
May 15 15:13:24 localhost NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
May 15 15:13:25 localhost NetworkManager: <WARN>  manual_registration_done(): Manual registration failed
May 15 15:13:25 localhost NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
May 15 15:13:25 localhost NetworkManager: <info>  Marking connection 'T-Mobile UK' invalid.
May 15 15:13:25 localhost NetworkManager: <info>  Activation (ttyUSB0) failed.
May 15 15:13:25 localhost NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
May 15 15:13:25 localhost NetworkManager: <info>  (ttyUSB0): deactivating device.

Expected Results:
GPRS/3G internet connection.

Additional info:
Connection profile in NM is configured as follows:

Number: *99#
User/pass: t-mobile
APN: general.t-mobile.uk
Network: T-Mobile
Type: GPRS
Band: [none] (dropdown box doesn't list anything)
Use Authentication: default settings
Compression: default settings
Comment 1 Dan Williams 2008-11-02 17:00:34 EST
Is this still an issue with latest NM updates (svn4022 or later)?
Comment 2 Dawid Lorenz 2008-11-03 15:30:41 EST
Yes, I am afraid it is still an issue. Here's the syslog output when I try to connect to the internet via GPRS/UMTS modem:

Nov  3 20:24:24 x1 NetworkManager: <info>  Activation (ttyUSB0) starting connection 'Era'
Nov  3 20:24:24 x1 NetworkManager: <info>  (ttyUSB0): device state change: 3 -> 4
Nov  3 20:24:24 x1 NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Nov  3 20:24:24 x1 NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Nov  3 20:24:24 x1 NetworkManager: <info>  Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Nov  3 20:24:25 x1 NetworkManager: <WARN>  manual_registration_done(): Manual registration failed
Nov  3 20:24:25 x1 NetworkManager: <info>  (ttyUSB0): device state change: 4 -> 9
Nov  3 20:24:25 x1 NetworkManager: <info>  Marking connection 'Era' invalid.
Nov  3 20:24:25 x1 NetworkManager: <info>  Activation (ttyUSB0) failed.
Nov  3 20:24:25 x1 NetworkManager: <info>  (ttyUSB0): device state change: 9 -> 3
Nov  3 20:24:25 x1 NetworkManager: <info>  (ttyUSB0): deactivating device.
Nov  3 20:24:25 x1 NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
Nov  3 20:24:25 x1 NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed


My NM version is:

[root@x1 ~]# rpm -qa | grep Network
NetworkManager-openvpn-0.7.0-16.svn4027.fc9.i386
NetworkManager-gnome-0.7.0-0.11.svn4022.4.fc9.i386
NetworkManager-glib-0.7.0-0.11.svn4022.4.fc9.i386
NetworkManager-vpnc-0.7.0-0.10.svn4024.fc9.i386
NetworkManager-0.7.0-0.11.svn4022.4.fc9.i386
Comment 3 Dan Williams 2008-11-03 16:13:25 EST
Have you manually filled in the "Network:" field in the connection editor?  What happens if you let the modem automatically determine which provider to register with?
Comment 4 Dawid Lorenz 2008-11-04 15:15:40 EST
(In reply to comment #3)
> Have you manually filled in the "Network:" field in the connection editor? 
> What happens if you let the modem automatically determine which provider to
> register with?

Yay! It works! I've left 'Network' field empty, tried to connect, and it worked straight away! I've checked with two different SIM cards, one of which was PIN-protected, and both worked flawlessly. I am really, I mean REALLY impressed. :)

What is the purpose of that 'Network' field then? :-o

Btw, I'd make password field optional. Not all GSM operators require password to connect.
Comment 5 Dan Williams 2008-11-04 17:45:01 EST
(In reply to comment #4)
> (In reply to comment #3)
> > Have you manually filled in the "Network:" field in the connection editor? 
> > What happens if you let the modem automatically determine which provider to
> > register with?
> 
> Yay! It works! I've left 'Network' field empty, tried to connect, and it worked
> straight away! I've checked with two different SIM cards, one of which was
> PIN-protected, and both worked flawlessly. I am really, I mean REALLY
> impressed. :)
> 
> What is the purpose of that 'Network' field then? :-o

To force the card to register on a specific network and never roam outside your home region if you like.  To lock to AT&T, for example, you'd enter 310410 in there, which is the GSM MCC/MNC for much of AT&T (but not all).

> Btw, I'd make password field optional. Not all GSM operators require password
> to connect.

It should be optional; if you don't fill in the username and password, it should be requested.  If you fill in the username, the password is expected; but most of the time you can enter anything you like in there and it will still work.
Comment 6 Dawid Lorenz 2008-11-05 02:50:53 EST
(In reply to comment #5)
> To force the card to register on a specific network and never roam outside your
> home region if you like.  To lock to AT&T, for example, you'd enter 310410 in
> there, which is the GSM MCC/MNC for much of AT&T (but not all).

In that case, I think this field should be described in some different way, to make user think it's not just a place where you put a network name (like 'T-Mobile' or 'Vodafone'). I intuitively did that and I would never suspect it could cause the problem.

Note You need to log in before you can comment on or make changes to this bug.